Name: pipenightdreams
Version: 0.10.0
Release: alt1

Summary: Connect the waterpipes to create a proper pipeline
Group: Games/Puzzles
License: GPLv2+
URL: http://www.libsdl.org/projects/pipenightdreams/

Source0: http://www.libsdl.org/projects/pipenightdreams/packages/pipenightdreams-0.10.0.tar.gz
Source1: %name.desktop

Patch0: pipenightdreams-0.10.0-gcc41.patch
Patch1: pipenightdreams-0.10.0-datadir.patch
Patch2: pipenightdreams-0.10.0-sanitize.patch
Patch3: pipenightdreams-0.10.0-quit.patch

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Sun Dec 16 2007
BuildRequires: flex gcc-c++ libSDL-devel libSDL_image-devel

%description
PipeNightDreams is a puzzle-game where you must race against the clock to
connect the waterpipes to create a proper pipeline before the water starts
flowing. It has 25 levels with increasing difficulty, and you can create
your own by just editing text files. It has a lot of cool graphics, score,
lives, required pipes per level and an easy and fast interface.

%prep
%setup -q
%patch0 -p1 -z .gcc41
%patch1 -p1 -z .datadir
%patch2 -p1 -z .sanitize
%patch3 -p1 -z .quit

%build
%configure
%make_build CXXFLAGS="%optflags -I/usr/include/SDL"

%install
%make_install DESTDIR=%buildroot install

# fix up the broken datadir install (its this or patch a zillion makefiles)
mv %buildroot%_datadir/games/%name %buildroot%_datadir
rmdir %buildroot%_datadir/games

mkdir -p %buildroot%_desktopdir/
install -p -m 644 %SOURCE1 %buildroot%_desktopdir/

mkdir -p %buildroot%_datadir/icons/hicolor/64x64/apps
install -p -m 644 images/pipes_space/horizontal.png %buildroot%_datadir/icons/hicolor/64x64/apps/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc README TODO ChangeLog
%_bindir/%name
%_datadir/%name
%_man6dir/pipenightdreams.*
%_desktopdir/*.desktop
%_datadir/icons/hicolor/64x64/apps/%name.png

%changelog
* Sun Dec 16 2007 Igor Zubkov <icesik@altlinux.org> 0.10.0-alt1
- build for Sisyphus

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-5
- FE6 Rebuild

* Sat Jun 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-4
- Add BuildRequires: flex to fix building with new stripped mock config.

* Sun May  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-3
- Add Patch3 which fixes quiting during the "try again dialog" (bz 188345)

* Fri Apr  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-2
- Remove use of a trademarked term from %%description, manpage and docs

* Wed Apr  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-1
- initial Fedora Extras package
